/// <reference types="node" />
import * as BDJS from "../interpreter/main";
import { API, EATS_ERROR } from "../main";
import { Canvas, SKRSContext2D, Image } from "@napi-rs/canvas";
import * as F from "fastify";
import { ReadStream } from "fs";
export interface CustomData extends BDJS.DataOptions {
    req?: F.FastifyRequest | null;
    res?: F.FastifyReply | null;
    error?: EATS_ERROR | null;
    stream?: ReadStream | null;
    app: F.FastifyInstance;
    interpreter: Interpreter;
    _canvas?: {
        canvas: Canvas;
        ctx: SKRSContext2D;
        images: Record<string, Image | null>;
    };
    api: API;
}
interface InterpreterOptions extends BDJS.InterpreterOptions {
    api: API;
}
export declare class Data extends BDJS.Data {
    req: F.FastifyRequest | null;
    res: F.FastifyReply | null;
    error: EATS_ERROR | null;
    app: F.FastifyInstance;
    stream?: ReadStream | null;
    api: API;
    constructor(ops: CustomData);
}
export declare class Interpreter extends BDJS.Interpreter {
    api: API;
    constructor(ops: InterpreterOptions);
}
export {};
